Bug 973848 - GUI Error Notification Missing (create new stored key/cert)
GUI Error Notification Missing (create new stored key/cert)
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: 1104631 (view as bug list)
Depends On:
Blocks: 462714 space21
  Show dependency treegraph
Reported: 2013-06-12 19:21 EDT by The PowerTool
Modified: 2017-05-17 15:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: spacewalk-java-2.1.38-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-03-04 08:06:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description The PowerTool 2013-06-12 19:21:40 EDT
Description of problem:
Uploading 0-byte file when using "create new stored key/cert" causes the UI to be non-responsive.  No error is presented.  Repeatedly clicking "Create Key" has no effect other than to leave you in the same dialog thinking the button didn't work.

Version-Release number of selected component (if applicable):
Spacewalk 1.9

How reproducible:
Ever time without fail as long as the file is 0 bytes in size

Steps to Reproduce:
Systems : Kickstart : GPG and SSL Keys :

I successfully added RPM-GPG-KEY-rpmfusion-free-fedora-18

I then went to add RPM-GPG-KEY-rpmfusion-nonfree-fedora-18.  I clicked the link to "create new stored key/cert" and then entered the description, left type at GPG, and selected the file to upload using the "Browse" button.  Clicking on Create Key had no effect.

Apparently the GUI knew the I was attempting to upload a 0-byte file but neglected to share this with me.  I spent time troubleshooting this to discover there's an error message missing from the GUI.  If you select a 0-byte file and then click "Create Key" it should warn you that nothing will happen and that your file has no content.

What's a legitimate scenario where this might happen:  Go to a trusted source for keys - http://rpmfusion.org/keys and then download  using the "get" link the 2013-05-19 attachment for the nonfree-fedora-18.  Now you're all set to upload a 0-byte file and click on that "Create Key" button to your heart's content.

Actual results:
No change in UI.  You are left on the same dialog which is prompting you to upload a file containing a key.

Expected results:
An error should display stating that the file contains 0 bytes.  Additional errors may be required--what if the file contents are inappropriate?

Additional info:
Comment 1 Jan Dobes 2013-07-31 12:11:38 EDT
When I try upload blank file on Spacewalk nightly, it fails to same dialog but there is a message in UI - "No file found. Please select a file from your local machine to upload."

Maybe, it's some sort of OS/Browser specific problem, can you provide more info?
Comment 2 The PowerTool 2013-08-01 15:57:04 EDT
Upgraded browser.  Now I am seeing the described message "No file found.  Please select a file from your local machine to upload."  I forgot to look at what version of Firefox I was on before upgrading or I would include that for reference.

Technically the error message is incorrect in this case because the file does exist.  Rather than "No file found."  It should read "File %file is empty or does not contain a valid data structure."  That's assuming it performs some type of validation.
Comment 3 Tomas Lestach 2013-09-06 10:14:47 EDT
 81b58118809c58459544376d0ca9cdbfb175ecb2 (fix error messaging for GPG nad SSL key creation/edit)
 aa244cef42cfc9b344be7961a999a4a84f9f979f (define "type" string)
 49d6f035f9d0cbc2b8d5622851b81dee92713653 (correct an error message)
 d36f52e66348c1db2ce267bf25a1462428f76b89 (file upload isn't required on /rhn/keys/CryptoKeyEdit.do page)
 18797522906127b57b1690c8edc78e2f3dd593bf (store a key only if a file to upload is specified)
Comment 4 Matej Kollar 2014-01-17 07:15:34 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 5 Matej Kollar 2014-03-04 08:06:41 EST
Spacewalk 2.1 has been released.
Comment 6 Matej Kollar 2014-03-04 08:08:36 EST
Spacewalk 2.1 has been released.
Comment 7 Grant Gainey 2017-05-17 15:38:57 EDT
*** Bug 1104631 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.